# Home Maintenance Schedule

This repository contains the home maintenance schedule for a condo located in Toronto. The schedule is designed to ensure regular upkeep and preventive maintenance of various systems and appliances within the home.

## Overview

The maintenance schedule is implemented using an iCalendar (.ics) file, which can be imported into any calendar application that supports the iCalendar format (e.g., Google Calendar, Apple Calendar). This ensures timely reminders and helps in maintaining the condo efficiently.

## Repository Structure

- **home_maintenance.ics**: The iCalendar file containing all maintenance tasks with their respective schedules.
- **README.md**: This file, providing an overview and instructions for setting up and using the maintenance schedule.

## Maintenance Tasks

The following maintenance tasks are included in the schedule:

### Biannually

1. **[HM] Replace Air Filters**
   - Replace air filters to ensure good air quality.

2. **[HM] Vacuum Dryer Vent**
   - Vacuum out the dryer vent to prevent lint buildup.

### Quarterly

1. **[HM] Clean Dishwasher with Citric Acid**
   - Add citric acid powder to the dishwasher to prevent buildup.

2. **[HM] Clean Washing Machine with Citric Acid**
   - Add citric acid powder to the washing machine to prevent buildup.

3. **[HM] Clean Toilet Reservoir with Citric Acid**
   - Add citric acid powder to the toilet reservoir to prevent buildup.

### Annually

1. **[HM] Inspect Faucets and Drains**
   - Check for leaks and ensure water drains properly.

2. **[HM] Inspect Grout and Caulking**
   - Check for cracks or gaps and reapply as needed.

3. **[HM] Clean Refrigeration Coils and Under Appliances**
   - Vacuum or brush the coils and clean under the stove, fridge, and water cooler to maintain energy efficiency and avoid pests.

4. **[HM] Check Weatherstripping**
   - Inspect doors and windows for drafts and replace weatherstripping if needed.

5. **[HM] Replace Roomba Parts**
   - Replace parts and clean brushes and bushings.

6. **[HM] Inspect Electrical System**
   - Use appropriate devices to check the electrical system.

7. **[HM] Inspect Fire Extinguishers**
   - Ensure they are fully charged and in good condition.

8. **[HM] Inspect Heating System**
   - Ensure the heating system is ready for the winter months.

### Seasonal

#### Spring, Summer, and Fall (Every Other Month)

1. **[HM] Clean Windows and Balcony**
   - Wash all windows inside and out and clean the balcony.

## Usage

1. **Clone the Repository**

   ```bash
   git clone https://git.nixc.us/colin/home-maintenance.git
   cd home-maintenance
   ```

2. **Import the iCalendar File**

   - Import the `home_maintenance.ics` file into your preferred calendar application:
     - **Google Calendar**: Go to `Settings` > `Import & export` > `Import`.
     - **Apple Calendar**: Open Calendar, go to `File` > `Import`.
     - **Outlook**: Go to `File` > `Open & Export` > `Import/Export`.

3. **Set Reminders**

   - Ensure each event has the appropriate reminder settings according to your preferences.
